org.eclipse.jetty.plus.jaas.callback

## Class AbstractCallbackHandler

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.callback.AbstractCallbackHandler

All Implemented Interfaces:
  CallbackHandler

Direct Known Subclasses:
  DefaultCallbackHandler

    public abstract class AbstractCallbackHandler
    extends Object
    implements CallbackHandler

### Field Summary

Fields
`protected Object` `_credential`
`protected String` `_userName`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCallbackHandler()`

### Method Summary

Methods
`Object` `getCredential()`
`String` `getUserName()`
`void` `handle(Callback[] callbacks)`
`void` `setCredential(Object credential)`
`void` `setUserName(String userName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _userName

    protected String _userName

#### _credential

    protected Object _credential

### Constructor Detail

#### AbstractCallbackHandler

    public AbstractCallbackHandler()

### Method Detail

#### setUserName

    public void setUserName(String userName)

#### getUserName

    public String getUserName()

#### setCredential

    public void setCredential(Object credential)

#### getCredential

    public Object getCredential()

#### handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`